unity android sdk outdated

i am getting error of SDK outdated 0<23 … i have sdk 24 installed …

I run into the same error some days ago.

Have you updated your Java SE Development Kit (JDK) ?

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html